export declare const typescriptDeclarationFixConstant = 1;
import { UiEvent } from "../../generated/UiEvent";
import { TeamAppsEventListener } from "./TeamAppsEvent";
declare type EventDescriptor = {
    name: string;
    _type: string;
};
export declare class ComponentEventSubscriptionManager {
    private readonly eventNamesByComponentType;
    private readonly subscriptionsByComponent;
    registerComponentType(componentType: string, eventDescriptors: EventDescriptor[]): void;
    registerComponentTypes(componentEventDescriptors: {
        componentType: string;
        eventDescriptors: EventDescriptor[];
    }[]): void;
    registerEventListener(component: any, type: string, eventListener: TeamAppsEventListener<UiEvent>, additionalEventProperties: object): void;
    unregisterEventListener(component: any): void;
}
export {};
